Last Comment Bug 656996 - Remove NS_NewHTMLCSSUtils
: Remove NS_NewHTMLCSSUtils
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: All All
: -- minor (vote)
: mozilla6
Assigned To: :Ms2ger
:
Mentors:
Depends on:
Blocks: deCOM
  Show dependency treegraph
 
Reported: 2011-05-13 12:59 PDT by :Ms2ger
Modified: 2011-07-27 04:08 PDT (History)
3 users (show)
Ms2ger: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (8.62 KB, patch)
2011-05-13 12:59 PDT, :Ms2ger
ehsan: review+
Details | Diff | Review

Description :Ms2ger 2011-05-13 12:59:18 PDT
Created attachment 532320 [details] [diff] [review]
Patch v1
Comment 1 :Ehsan Akhgari (out sick) 2011-05-14 09:04:06 PDT
Comment on attachment 532320 [details] [diff] [review]
Patch v1

> class nsHTMLCSSUtils
> {
> public:
>-  nsHTMLCSSUtils();
>+  nsHTMLCSSUtils(nsHTMLEditor* aEditor);

Mark the ctor as explicit, please?

r=me with that.  Oh, and keep these patches coming!  The editor needs these types of cleanups badly.
Comment 2 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-05-15 06:48:14 PDT
Why is this a heap allocated class at all?  It only has two member variables; it looks like with a bit of API refactoring this could be a namespace class.
Comment 3 :Ms2ger 2011-05-15 07:47:20 PDT
Feel free to file a followup.

http://hg.mozilla.org/mozilla-central/rev/4077327becc2
Comment 4 Vlad [QA] 2011-07-27 04:08:51 PDT
Setting resolution to Verified Fixed on Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20100101 Firefox/6.0b3

Note You need to log in before you can comment on or make changes to this bug.